## lektor 3.1.1

=== Makefile ===
all: build-js

build-js:
	@echo "---> building static files"
	@cd lektor/admin; npm install .
	@cd lektor/admin; npm run webpack

pex:
	virtualenv pex-build-cache
	pex-build-cache/bin/pip install --upgrade pip
	pex-build-cache/bin/pip install pex requests wheel
	pex-build-cache/bin/pip wheel -w pex-build-cache/wheelhouse .
	pex-build-cache/bin/pex \
		-v -o lektor.pex -e lektor.cli:cli \
		-f pex-build-cache/wheelhouse \
		--disable-cache \
		--not-zip-safe Lektor
	rm -rf pex-build-cache

test-python:
	@echo "---> running python tests"
	py.test . --tb=short -v --cov=lektor

coverage-python: test-python
	coverage xml

test-js: build-js
	@echo "---> running javascript tests"
	@cd lektor/admin; npm run lint
	@cd lektor/admin; npm test

coverage-js: test-js
	@cd lektor/admin; npm run report-coverage

test: test-python test-js

coverage: coverage-python coverage-js

osx-dmg:
	$(MAKE) -C gui osx-dmg

install-git-hooks:
	ln -sT $(PWD)/bin/pre-commit .git/hooks/pre-commit

=== debian/changelog ===
lektor (3.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #892901)

 -- Hiro <hiro@torproject.org>  Fri, 06 Jul 2018 16:36:51 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=lektor

%:
	dh $@ --with python3 --buildsystem=pybuild

## lektor 3.1.3

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 test-python:
 	@echo "---> running python tests"
-	py.test . --tb=short -v --cov=lektor
+	py.test . --tb=long -svv --cov=lektor
 
 coverage-python: test-python
 	coverage xml

=== gui/Makefile ===
OSX_ARCH=x64
BUILD_DIR=build
OSX_BUNDLE_BASE=$(BUILD_DIR)/Lektor-darwin-$(OSX_ARCH)
OSX_BUNDLE=$(OSX_BUNDLE_BASE)/Lektor.app
OSX_BUNDLE_RES=$(OSX_BUNDLE)/Contents/Resources

# The identity to use for code signing
CODESIGN_IDENTITY='Developer ID Application'
CODESIGN_FLAGS=--force --verbose --strict --sign $(CODESIGN_IDENTITY) --preserve-metadata=i,e,req --timestamp=none

REBUILD_CMD=./node_modules/.bin/electron-rebuild -w runas

npm-install:
	cd ../lektor/admin/; npm install
	npm install
	$(REBUILD_CMD)

run-only:
	./bin/run

run: npm-install run-only

$(BUILD_DIR)/Python.framework:
	./bin/compile-python-framework

build-wheels: $(BUILD_DIR)/Python.framework
	./bin/build-wheels

build/Lektor.icns:
	./bin/make-mac-icons

build/ProjectFile.icns:
	./bin/make-mac-icons

icons: build/Lektor.icns build/ProjectFile.icns

build/imagemagick/convert:
	./bin/compile-imagemagick

osx-bundle: build/imagemagick/convert icons build-wheels
	cd ../lektor/admin; npm install
	npm install
	npm install --production
	$(REBUILD_CMD)
	cd static; ../node_modules/.bin/webpack
	mkdir -p $(OSX_BUNDLE_BASE) && rm -rf $(OSX_BUNDLE)
	cp -RH node_modules/electron-prebuilt/dist/Electron.app $(OSX_BUNDLE)
	mv $(OSX_BUNDLE)/Contents/Frameworks/{Electron,Lektor}\ Helper\ EH.app
	mv $(OSX_BUNDLE)/Contents/Frameworks/Lektor\ Helper\ EH.app/Contents/MacOS/{Electron,Lektor}\ Helper\ EH
	sed -i '' s/Electron/Lektor/ $(OSX_BUNDLE)/Contents/Frameworks/Lektor\ Helper\ EH.app/Contents/Info.plist
	mv $(OSX_BUNDLE)/Contents/Frameworks/{Electron,Lektor}\ Helper\ NP.app
	mv $(OSX_BUNDLE)/Contents/Frameworks/Lektor\ Helper\ NP.app/Contents/MacOS/{Electron,Lektor}\ Helper\ NP
	sed -i '' s/Electron/Lektor/ $(OSX_BUNDLE)/Contents/Frameworks/Lektor\ Helper\ NP.app/Contents/Info.plist
	mv $(OSX_BUNDLE)/Contents/Frameworks/{Electron,Lektor}\ Helper.app
	mv $(OSX_BUNDLE)/Contents/Frameworks/Lektor\ Helper.app/Contents/MacOS/{Electron,Lektor}\ Helper
	sed -i '' s/Electron/Lektor/ $(OSX_BUNDLE)/Contents/Frameworks/Lektor\ Helper.app/Contents/Info.plist
	mkdir -p $(OSX_BUNDLE_RES)/app/static
	cp -R package.json $(OSX_BUNDLE_RES)/app
	cp -R static/{images,gen,index.html} $(OSX_BUNDLE_RES)/app/static
	cp resources/Lektor-Info.plist $(OSX_BUNDLE)/Contents/Info.plist
	cp build/Lektor.icns $(OSX_BUNDLE_RES)
	cp build/ProjectFile.icns $(OSX_BUNDLE_RES)
	cp build/File.icns $(OSX_BUNDLE_RES)
	mkdir -p $(OSX_BUNDLE_RES)/local/bin
	cp build/imagemagick/convert $(OSX_BUNDLE_RES)/local/bin
	cp resources/lektor-mac-proxy $(OSX_BUNDLE_RES)/local/bin/lektor-proxy
	cp resources/lektor $(OSX_BUNDLE_RES)/lektor
	rm $(OSX_BUNDLE_RES)/atom.icns
	rm -rf $(OSX_BUNDLE_RES)/default_app
	# Manually copy over native modules we depend on
	mkdir -p $(OSX_BUNDLE_RES)/app/node_modules
	cp -R node_modules/runas $(OSX_BUNDLE_RES)/app/node_modules/runas
	cp -R node_modules/nan $(OSX_BUNDLE_RES)/app/node_modules/nan
	cp -R $(BUILD_DIR)/Python.framework $(OSX_BUNDLE)/Contents/Frameworks/Python.framework
	rm $(OSX_BUNDLE)/Contents/Frameworks/Python.framework/Versions/2.7/bin/python{w,w2,w2.7}
	./bin/make-python-framework-relocatable $(OSX_BUNDLE)/Contents/Frameworks/Python.framework
	./bin/install-wheels $(OSX_BUNDLE)/Contents/Frameworks/Python.framework/Versions/Current/lib/python2.7/site-packages
	find $(OSX_BUNDLE)/Contents -name '.DS_Store' -exec rm {} \;

osx-signed-bundle: osx-bundle
	find $(OSX_BUNDLE) -name '*.dylib' -exec codesign $(CODESIGN_FLAGS) {} \;
	find $(OSX_BUNDLE) -name '*.so' -exec codesign $(CODESIGN_FLAGS) {} \;
	find $(OSX_BUNDLE) -type f -perm +0111 -exec codesign $(CODESIGN_FLAGS) {} \;
	codesign --force --verbose --sign $(CODESIGN_IDENTITY) $(OSX_BUNDLE)/Contents/Frameworks/Python.framework/Versions/Current/Resources/Python.app
	find $(OSX_BUNDLE) -name '*.app' -exec codesign $(CODESIGN_FLAGS) {} \;
	find $(OSX_BUNDLE) -name '*.framework' -exec codesign $(CODESIGN_FLAGS) {} \;
	codesign $(CODESIGN_FLAGS) $(OSX_BUNDLE)/Contents/MacOS/Electron
	codesign $(CODESIGN_FLAGS) $(OSX_BUNDLE_RES)/local/bin/lektor-proxy
	codesign $(CODESIGN_FLAGS) $(OSX_BUNDLE)
	codesign --verify --verbose --deep $(OSX_BUNDLE)

node_modules/.bin/appdmg:
	npm install appdmg

osx-dmg-only:
	rm -rf $(OSX_BUNDLE_BASE)/Lektor.dmg
	./node_modules/.bin/appdmg dmg-config.json $(OSX_BUNDLE_BASE)/Lektor.dmg

osx-dmg: node_modules/.bin/appdmg osx-signed-bundle osx-dmg-only

.PHONY: npm-install run-only run build-wheels icons osx-bundle osx-dmg-only osx-dmg

=== debian/changelog ===
lektor (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * Update copyright

 -- Hiro <hiro@torproject.org>  Thu, 09 May 2019 19:36:57 +0200

=== debian/control ===
Source: lektor
Section: python
Priority: optional
Maintainer: Hiro <hiro@torproject.org>
Build-Depends: debhelper (>= 11),
	       dh-python,
	       python3,
	       python3-all,
	       python3-setuptools,
	       python3-jinja2 (>=2.4),
	       python3-click (>=6.0),
	       python3-watchdog,
	       python3-mistune (>=0.7.0),
	       python3-flask,
	       python3-babel,
	       python3-requests,
               python3-inifile,
               python3-exif
Standards-Version: 4.1.4
Homepage: https://github.com/lektor/lektor
Vcs-Git: https://salsa.debian.org/debian/lektor.git
Vcs-Browser: https://salsa.debian.org/debian/lektor/
Testsuite: autopkgtest-pkg-python

Package: lektor
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python-based static website generator
 Lektor is a static website generator. A lektor project is a collection of
 static files that can be built into many individual HTML pages. Lektor can also
 be used like a CMS providing a browser-based admin interface to edit the
 website's contents and create new pages.

## lektor 3.3.7

=== debian/changelog ===
lektor (3.3.7-2) unstable; urgency=medium

  [ Pushkar Kulkarni ]
  * d/patches: Adapt to python-werkzeug urls API 3.0.1 (Closes: #1061361)

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 28 Jan 2024 09:48:40 -0500

lektor (3.3.7-1) unstable; urgency=medium

  * New upstream version 3.3.7
  * New maintainer as agreed with Hiro
  * Update build-deps
  * Bump build-compat version to 13
  * Bump Standards-Version, no changes needed
  * Add autopkgtests
  * Add debian/upstream/metadata
  * Adjust Homepage and add Documentation fields
  * Frontend web components removed from package (see NEWS)

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 04 Jan 2023 11:34:10 -0500

lektor (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Update copyright

 -- Hiro <hiro@torproject.org>  Thu, 13 Nov 2020 17:53:34 +0100

=== debian/control ===
Source: lektor
Section: web
Priority: optional
Maintainer: Jérôme Charaoui <jerome@riseup.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-all,
 python3-babel,
 python3-click (>=6.0),
 python3-cryptography,
 python3-exif,
 python3-filetype (>=1.0.7),
 python3-flask,
 python3-idna,
 python3-inifile (>=0.4.1),
 python3-jinja2 (>=3),
 python3-mistune0,
 python3-openssl,
 python3-pip,
 python3-pytest,
 python3-pytest-click,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-requests,
 python3-setuptools,
 python3-setuptools-scm,
 python3-slugify,
 python3-watchdog,
 python3-werkzeug,
Standards-Version: 4.6.2
Homepage: https://www.getlektor.com/
Vcs-Git: https://salsa.debian.org/debian/lektor.git
Vcs-Browser: https://salsa.debian.org/debian/lektor/
Testsuite: autopkgtest-pkg-python

Package: lektor
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python-based static website generator
 Lektor is a static website generator. A lektor project is a collection of
 static files that can be built into many individual HTML pages. Lektor can also
 be used like a CMS providing a browser-based admin interface to edit the
 website's contents and create new pages.
 .
 This package only provides the website compilation components.

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lektor-$1.tar.gz%" \
https://github.com/lektor/lektor/tags .*/v?(\d\S+)\.tar\.gz

## lektor 3.3.12

=== Makefile ===
all: build-js

.PHONY: build-js
build-js: frontend/node_modules
	@echo "---> building static files"
	@cd frontend; npm run webpack

frontend/node_modules: frontend/package-lock.json
	@echo "---> installing npm dependencies"
	@cd frontend; npm install
	@touch -m frontend/node_modules

# Run tests on Python files.
test-python:
	@echo "---> running python tests"
	tox -e py

# Run tests on the Frontend code.
test-js: frontend/node_modules
	@echo "---> running javascript tests"
	@cd frontend; npx tsc
	@cd frontend; npm test

.PHONY: lint
# Lint code.
lint:
	pre-commit run -a
	tox -e lint

.PHONY: test
test: lint test-python test-js

.PHONY: test-all
# Run tests on all supported Python versions.
test-all: test-js
	pre-commit run -a
	tox

# This creates source distribution and a wheel.
dist: build-js setup.cfg MANIFEST.in
	rm -r build dist
	python -m build

# Before making a release, CHANGES.md needs to be updated and
# a tag should be created (and pushed with `git push --tags`).
.PHONY: upload
upload: dist
	twine upload dist/*

=== debian/changelog ===
lektor (3.3.12-1) unstable; urgency=medium

  * New upstream version 3.3.12
  * d/control: add test-specific dependency
  * d/control: add Rules-requires-Root: no
  * d/control: update Standards-Version, no changes needed
  * d/patches: refresh patches for new upstream version
  * d/patches: add patch to fix timezone handling (Closes: #1084286)
  * d/tests: add missing dependencies in autopkgtest
  * d/watch: remain on stable branch 3.3 for now

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 28 Mar 2025 14:45:42 -0400

lektor (3.3.7-2.1) unstable; urgency=medium

  * Non-maintainer Upload.
  * Add B-D and Dep on python3-tz to fix FTBFS (Closes: #1069192)

 -- Nilesh Patra <nilesh@iki.fi>  Thu, 18 Apr 2024 18:25:56 +0530

=== debian/control ===
--- 
+++ 
@@ -28,19 +28,23 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-slugify,
+ python3-tz,
  python3-watchdog,
  python3-werkzeug,
-Standards-Version: 4.6.2
+ tzdata-legacy <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://www.getlektor.com/
 Vcs-Git: https://salsa.debian.org/debian/lektor.git
 Vcs-Browser: https://salsa.debian.org/debian/lektor/
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: lektor
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-tz
 Description: Python-based static website generator
  Lektor is a static website generator. A lektor project is a collection of
  static files that can be built into many individual HTML pages. Lektor can also

=== debian/tests/control ===
Tests: upstream
Depends:
 ffmpeg,
 git,
 imagemagick,
 python3-all,
 python3-pytest,
 python3-pytest-click,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-setuptools,
 tzdata-legacy,
 @,

=== debian/watch ===
version=4
opts=\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
 https://api.github.com/repos/lektor/lektor/git/matching-refs/tags/v3.3 \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
